package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrSafetyValveMapper;
import com.ruoyi.project.pssr.domain.TPssrSafetyValve;
import com.ruoyi.project.pssr.service.ITPssrSafetyValveService;

/**
 * 安全设施-安全阀Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrSafetyValveServiceImpl implements ITPssrSafetyValveService
{
    @Autowired
    private TPssrSafetyValveMapper tPssrSafetyValveMapper;

    /**
     * 查询安全设施-安全阀
     *
     * @param id 安全设施-安全阀ID
     * @return 安全设施-安全阀
     */
    @Override
    public TPssrSafetyValve selectTPssrSafetyValveById(Long id)
    {
        return tPssrSafetyValveMapper.selectTPssrSafetyValveById(id);
    }

    /**
     * 查询安全设施-安全阀列表
     *
     * @param tPssrSafetyValve 安全设施-安全阀
     * @return 安全设施-安全阀
     */
    @Override
    public List<TPssrSafetyValve> selectTPssrSafetyValveList(TPssrSafetyValve tPssrSafetyValve)
    {
        return tPssrSafetyValveMapper.selectTPssrSafetyValveList(tPssrSafetyValve);
    }

    /**
     * 新增安全设施-安全阀
     *
     * @param tPssrSafetyValve 安全设施-安全阀
     * @return 结果
     */
    @Override
    public int insertTPssrSafetyValve(TPssrSafetyValve tPssrSafetyValve)
    {
        return tPssrSafetyValveMapper.insertTPssrSafetyValve(tPssrSafetyValve);
    }

    /**
     * 修改安全设施-安全阀
     *
     * @param tPssrSafetyValve 安全设施-安全阀
     * @return 结果
     */
    @Override
    public int updateTPssrSafetyValve(TPssrSafetyValve tPssrSafetyValve)
    {
        return tPssrSafetyValveMapper.updateTPssrSafetyValve(tPssrSafetyValve);
    }

    @Override
    public int updateAllBySubId(TPssrSafetyValve tPssrSafetyValve)
    {
        return tPssrSafetyValveMapper.updateAllBySubId(tPssrSafetyValve);
    }

    /**
     * 批量删除安全设施-安全阀
     *
     * @param ids 需要删除的安全设施-安全阀ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyValveByIds(Long[] ids)
    {
        return tPssrSafetyValveMapper.deleteTPssrSafetyValveByIds(ids);
    }

    /**
     * 删除安全设施-安全阀信息
     *
     * @param id 安全设施-安全阀ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyValveById(Long id)
    {
        return tPssrSafetyValveMapper.deleteTPssrSafetyValveById(id);
    }
}
